//定数
const EXT_LIST = new Array("jpg", "jpeg", "png", "bmp", "gif", "tiff");


/*
 * サムネイルの対象となるファイルを配列にして返します。
 *
 * @param page
 * @return
 */
function getThumbFileList(cacheFile, page, maxThumbNumPerPage) {
	var fileList = new Array();
	
	if(!cacheFile.exist())
		return fileList;
	
	var imgFileList = cacheFile.getAttachFileList(EXT_LIST);
	
	var start = 0;
	var end = imgFileList.length - 1;
	
	if(page) {
		start = maxThumbNumPerPage * (page - 1);
		end = start + maxThumbNumPerPage - 1;
	}
	
	for(var i = start; i <= end; i++) {
		if(!imgFileList[i])
			break;
		
		fileList.push(imgFileList[i]);
	}
	
	
	return fileList;
}