
var startFlg = false;
var cacheFile = null;
var imgFileList = null;
var index = 0;


/*
 * キー押下を処理します。
 */
function keyReleased(event) {
	if(event.keyCode == 37) {
		prev();
	} else if(event.keyCode == 39) {
		next();;
	}
}

/*
 * 前の画像へ
 */
function prev() {
	if(index - 1 >= 0) {
		index += -1;
		showImage(imgFileList[index]);
	}
}

/*
 * 次の画像へ
 */
function next() {
	if(index + 1 < imgFileList.length) {
		index += 1;
		showImage(imgFileList[index]);
	}
}

/*
 * 画像を表示
 */
function showImage(file) {
	var img = document.getElementById("iframe");
	img.setAttribute("src", file.getUrlSpec());
	
	var text = document.getElementById("label_index");
	text.setAttribute("value", index + 1);
}

/*
 * 初期処理
 */
function startup() {
	try {
		if(startFlg)
			return;
		
		startFlg = true;
		
		var url = getPref("moonfox.imgviewer.selected_image");
		
		if(!url || url == "")
			return;
		
		var file = new File(url);
		var attachDir = file.getParentFile();
		cacheFile = new CacheFile(attachDir.getParentFile());
		imgFileList = cacheFile.getAttachFileList(EXT_LIST);
		
		for(var i = 0; i < imgFileList.length; i++) {
			if(imgFileList[i].getName() == file.getName()) {
				index = i;
			}
		}
		
		document.getElementById("label_index").setAttribute("value", index);
		document.getElementById("label_length").setAttribute("value", "/" + imgFileList.length);
		document.getElementById("text_thread").setAttribute("value", cacheFile.getTitle());
		
		showImage(file);
	} catch(e) {
		alert(e);
	}
}
