
function errbox(e) {
	try {
		var msg = e.filename + " "
				+ e.name + " : "
				+ "line" + e.lineNumber + "  "
				+ "\"" + e.message + "\"";
		
		if(e.location) {
			var stack = e.location;
			
			while(stack) {
				msg += "\n";
				msg += " at "
						+ stack.filename + " "
						+ stack.name + " : "
						+ "line" + stack.lineNumber + "  "
						+ "\"" + stack.message + "\"";
						
				stack = stack.caller;
			}
		}
		
		window.openDialog(
			"chrome://moonfox/content/common/util/errbox.xul",
			"sakura_common_error",
			"modal=yes",
			msg);
	} catch(e) {
		alert(e);
	}
}

function startupErrbox() {
	
	if(window.arguments && window.arguments[0]) {
		var text = document.getElementById("text");
		text.value = window.arguments[0];
	}
}